Subject: Re: bug#36759: 26.1; nftables major mode

From: "Trent W. Buck" <[email-masked]>
Date: Mon, 23 May 2022 10:38:50 +1000

Stefan Monnier wrote:
> >> I'd be happy to add an nftables mode to GNU ELPA, but AFAICT Trent has
> >> not signed the needed paperwork for Emacs.
> > Seems like we forgot about this one
> 
> Yup, sorry.
> 
> > -- Trent's paperwork was completed in December 2021, so we should be
> > able to add nftables to GNU ELPA now.  Stefan?
> 
> Trent, I can't seem to find a Git repository for your code.
> We like to keep the VCS history as much as possible.
> Do you keep `nftables-mode.el` on some public Git somewhere, or maybe in
> a private one?

I don't maintain this code anymore.
My assumption was that it would go into the Emacs repo, and
some other poor bugger(s) would take over ongoing maintenance and improvement.

That's the way Emacs used to work for small modes, and I like/liked that model :-)

If you just want the *old* history, that would probably be in my work's KB repo (private).
Hrm, looks like I never even checked it in!
IIRC I spent about two weeks on nftables, but
I only spent an afternoon on the emacs mode.
So there never really was any change history.

Anyway, what change history I have, is here (snapshot extracted by git filter-repo):

    https://github.com/trentbuck/nft-examples

PS: I realize this is pretty sloppy by modern standards -- sorry!
I only ever got nft support "good enough for now" not "good".